mbed_host_tests.host_tests_conn_proxy.conn_proxy Namespace Reference

## Classes

class | KiViBufferWalker
| Simple auxiliary class used to walk through a buffer and search for KV tokens. More...

## Functions

| conn_primitive_factory (conn_resource, config, event_queue, logger)
| Factory producing connectors based on type and config.
| conn_process (event_queue, dut_event_queue, config)

## Detailed Description

    mbed SDK
    Copyright (c) 2011-2016 ARM Limited

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

## Function Documentation

## conn_primitive_factory()

mbed_host_tests.host_tests_conn_proxy.conn_proxy.conn_primitive_factory | ( |  | conn_resource,
|  |  | config,
|  |  | event_queue,
|  |  | logger
| ) |  |

Factory producing connectors based on type and config.

Parameters

  conn_resource | Name of connection primitive (e.g. 'serial' for local serial port connection or 'grm' for global resource manager)
  event_queue | Even queue of Key-Value protocol
  config | Global configuration for connection process
  logger | Host Test logger instance

Returns
  Object of type <ConnectorPrimitive> or None if type of connection primitive unknown (conn_resource)

Definition at line 85 of file conn_proxy.py.

## conn_process()

mbed_host_tests.host_tests_conn_proxy.conn_proxy.conn_process | ( |  | event_queue,
|  |  | dut_event_queue,
|  |  | config
| ) |  |

Definition at line 127 of file conn_proxy.py.